#include <gtk/gtk.h>
#include "cat.h"

#include "loadcat.h"
#include "savecat.h"
#include "scan.h"
#include "utils.h"
#include "ui.h"

int main(int argc, char **argv)
{
    Catalog *cat = NULL;
    char *catfile = NULL;

    gtk_set_locale();
    gtk_init(&argc, &argv);

    if (argc > 1)
	catfile = g_strdup(argv[1]);

    if (!catfile)
	catfile = g_strconcat(g_get_home_dir(), "/catalog.dat", NULL);

    cat = loadcat(catfile);
    new_ui(cat);

    gtk_main();

    nuke_catalog(cat);
    g_free(cat);

    return 0;
}
